Subject: [alpine-aports] [PATCH] new APKBUILD for mtd-utils

From: [email-masked]
Date: Tue, 19 Jan 2016 23:54:47 +0200

From: Valery McHno <[email-masked]>

---
 testing/mtd-utils/APKBUILD | 38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)
 create mode 100644 testing/mtd-utils/APKBUILD

diff --git a/testing/mtd-utils/APKBUILD b/testing/mtd-utils/APKBUILD
new file mode 100644
index 0000000..ce542bf
--- /dev/null
+++ b/testing/mtd-utils/APKBUILD
@@ -0,0 +1,38 @@
+# Maintainer: Valery McHno <[email-masked]>
+pkgname=mtd-utils
+pkgver=1.5.2
+pkgrel=0
+pkgdesc="Utilities for handling MTD devices, and for dealing with FTL, NFTL JFFS2, etc."
+url="http://www.linux-mtd.infradead.org/"
+arch="all"
+license="GPL2"
+#depends="libuuid lzo zlib"
+depends=""
+makedepends="linux-headers lzo-dev util-linux-dev zlib-dev"
+subpackages="$pkgname-doc"
+source="ftp://ftp.infradead.org/pub/mtd-utils/$pkgname-$pkgver.tar.bz2"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make -j1 DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="596bc7b20a6d4fb86d63fc9b8af674d6  mtd-utils-1.5.2.tar.bz2"
+sha256sums="5db57389280a3abaec5dd23af2590988b70f213fa3929c12a2642c8f9a86f400  mtd-utils-1.5.2.tar.bz2"
+sha512sums="ad0246b24ab7d8efca9b7f9af717deeb92684a328759203eed3f98db6539b46c12f5c9900b8757a5a217b579e31af3571e0bb7eeed6081e741463814148bfee3  mtd-utils-1.5.2.tar.bz2"
-- 
2.7.0.rc3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---